<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/module/typage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">typage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="typage_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef TYPAGE_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define TYPAGE_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// DEFINE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="typage_8hpp.html#a717bdc5d52ecca2b267f320935dbcab7">   21</a></span>&#160;<span class="preprocessor">#define ATTRIBUTE_TYPE &quot;type&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="typage_8hpp.html#af536d34dcc134f37113d06b932ffb49d">   22</a></span>&#160;<span class="preprocessor">#define ATTRIBUTE_MIN &quot;min&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="typage_8hpp.html#a2ba17d9aafc960c9d68b89bce5c1c882">   23</a></span>&#160;<span class="preprocessor">#define ATTRIBUTE_MAX &quot;max&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="typage_8hpp.html#a4e4e428e3a6a191834e3ff63bd301866">   24</a></span>&#160;<span class="preprocessor">#define TYPE_STRING &quot;string&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="typage_8hpp.html#a929147425bf7969fe1d0e33716d02bc8">   25</a></span>&#160;<span class="preprocessor">#define TYPE_INTEGER &quot;int&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="typage_8hpp.html#ac87fa650bc0dcd101b39e15ecdb57477">   26</a></span>&#160;<span class="preprocessor">#define TYPE_DOUBLE &quot;double&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="log_8hpp.html">module/log.hpp</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment">// METHODS</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordtype">int</span> <a class="code" href="typage_8hpp.html#a583e13f46beec29ec6957d7f939a105b">ToInteger</a>(<span class="keywordtype">string</span> value);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keywordtype">double</span> <a class="code" href="typage_8hpp.html#a873b1c73a31535259d69bec9c0f946b2">ToDouble</a>(<span class="keywordtype">string</span> value);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="typage_8hpp.html#a209dd95b4e4d6eb737596ec9770a62d1">IsSmallerOrEqualThan</a>(<span class="keywordtype">string</span> value, XMLElement *driven);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="typage_8hpp.html#abfcb7a3f23770be3943b99d3a0fc33f6">IsTallerOrEqualThan</a>(<span class="keywordtype">string</span> value, XMLElement *driven);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="typage_8hpp.html#a8e36258e154dcdeff0cf933a41dcf0f6">CheckType</a>(<span class="keywordtype">string</span> value, XMLElement *driven);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="typage_8hpp.html#a6404b3b17e5062d342c93797a87063b1">CheckSize</a>(<span class="keywordtype">string</span> value, XMLElement *driven);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="typage_8hpp.html#a6fba9ad6bef730f65a6473920e2dfd26">Check</a>(<span class="keywordtype">string</span> value, XMLElement *driven);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="typage_8hpp_html_a8e36258e154dcdeff0cf933a41dcf0f6"><div class="ttname"><a href="typage_8hpp.html#a8e36258e154dcdeff0cf933a41dcf0f6">CheckType</a></div><div class="ttdeci">bool CheckType(string value, XMLElement *driven)</div><div class="ttdoc">vérifier que la valeur peut être casté dans un type précisé </div></div>
<div class="ttc" id="typage_8hpp_html_abfcb7a3f23770be3943b99d3a0fc33f6"><div class="ttname"><a href="typage_8hpp.html#abfcb7a3f23770be3943b99d3a0fc33f6">IsTallerOrEqualThan</a></div><div class="ttdeci">bool IsTallerOrEqualThan(string value, XMLElement *driven)</div><div class="ttdoc">Détecter qu&amp;#39;une valeur est plus grande ou égale que la valeur de l&amp;#39;attribut min du driven...</div></div>
<div class="ttc" id="typage_8hpp_html_a583e13f46beec29ec6957d7f939a105b"><div class="ttname"><a href="typage_8hpp.html#a583e13f46beec29ec6957d7f939a105b">ToInteger</a></div><div class="ttdeci">int ToInteger(string value)</div><div class="ttdoc">Méthode de conversion d&amp;#39;un string en integer. </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="typage_8hpp_html_a6fba9ad6bef730f65a6473920e2dfd26"><div class="ttname"><a href="typage_8hpp.html#a6fba9ad6bef730f65a6473920e2dfd26">Check</a></div><div class="ttdeci">bool Check(string value, XMLElement *driven)</div><div class="ttdoc">Méthode de vérification. </div></div>
<div class="ttc" id="typage_8hpp_html_a6404b3b17e5062d342c93797a87063b1"><div class="ttname"><a href="typage_8hpp.html#a6404b3b17e5062d342c93797a87063b1">CheckSize</a></div><div class="ttdeci">bool CheckSize(string value, XMLElement *driven)</div><div class="ttdoc">Vérifie la taille d&amp;#39;une valeur. </div></div>
<div class="ttc" id="typage_8hpp_html_a873b1c73a31535259d69bec9c0f946b2"><div class="ttname"><a href="typage_8hpp.html#a873b1c73a31535259d69bec9c0f946b2">ToDouble</a></div><div class="ttdeci">double ToDouble(string value)</div><div class="ttdoc">Méthode de conversion d&amp;#39;un string en double. </div></div>
<div class="ttc" id="typage_8hpp_html_a209dd95b4e4d6eb737596ec9770a62d1"><div class="ttname"><a href="typage_8hpp.html#a209dd95b4e4d6eb737596ec9770a62d1">IsSmallerOrEqualThan</a></div><div class="ttdeci">bool IsSmallerOrEqualThan(string value, XMLElement *driven)</div><div class="ttdoc">Détecter qu&amp;#39;une valeur est plus petite ou égale que la valeur de l&amp;#39;attribut max du driven...</div></div>
<div class="ttc" id="log_8hpp_html"><div class="ttname"><a href="log_8hpp.html">log.hpp</a></div><div class="ttdoc">Module de log de debogage. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
